Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVEDbId

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEDbId

    public class AGAVEDbId

extends Object

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVEDbId()`

Method Summary
`String` | `getDbCode()`
`String` | `getId()`
`String` | `getVersion()`
`void` | `setDbCode(String code)`
`void` | `setId(String id)`
`void` | `setVersion(String version)`
`String` | `toString()`
`String` | `toString(String indent, String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEDbId

    public AGAVEDbId()

Method Detail

### getId

    public String getId()

### getVersion

    public String getVersion()

### getDbCode

    public String getDbCode()

### setId

    public void setId(String id)

### setVersion

    public void setVersion(String version)

### setDbCode

    public void setDbCode(String code)

### toString

    public String toString(String indent,
                           String indent_unit)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD